sudo apt-get build-dep 命令求解?

为当前最终发行版之前的所有版本提供支持
回复
dxq83
帖子: 53
注册时间: 2008-05-04 22:52
送出感谢: 0
接收感谢: 1 次

sudo apt-get build-dep 命令求解?

#1

帖子 dxq83 » 2011-02-27 21:33

我在终端中输入sudo apt-get build-dep vim
竟然要安装80多M的文件,比如有texlive。我只是想自己编译vim,为什么要安装这麽多的东西?很多都是没用的。我已经在新利德中选择了不安装推荐的包。

我现在用的debian 6。以前在kubuntu上只需要安装几个包而已。那位知道是怎么回事儿?

以下是我的源
deb http://mirrors.163.com/debian squeeze main non-free contrib
deb http://mirrors.163.com/debian squeeze-proposed-updates main contrib non-free
deb http://mirrors.163.com/debian-security squeeze/updates main contrib non-free

deb-src http://mirrors.163.com/debian squeeze main non-free contrib
deb-src http://mirrors.163.com/debian squeeze-proposed-updates main contrib non-free
deb-src http://mirrors.163.com/debian-security squeeze/updates main contrib non-free

deb http://http.us.debian.org/debian squeeze main contrib non-free
deb http://non-us.debian.org/debian-non-US squeeze/non-US main contrib non-free
deb http://security.debian.org squeeze/updates main contrib non-free

头像
leeaman
帖子: 30702
注册时间: 2007-02-02 18:14
系统: debian sid
送出感谢: 1 次
接收感谢: 23 次

Re: sudo apt-get build-dep 命令求解?

#2

帖子 leeaman » 2011-02-27 21:39

debian默认没有装那么多包,所以要编译安装的包比较多
醉了星星,醉月亮●●●●●The Long Way To Go(*^_^*)
dxq83
帖子: 53
注册时间: 2008-05-04 22:52
送出感谢: 0
接收感谢: 1 次

Re: sudo apt-get build-dep 命令求解?

#3

帖子 dxq83 » 2011-02-27 21:47

leeaman 写了:debian默认没有装那么多包,所以要编译安装的包比较多
我感觉好像不是这个原因,比如我要编译vim,为什么要安装texlive,这个我就不懂了??
头像
acid303
帖子: 547
注册时间: 2009-04-03 16:06
送出感谢: 1 次
接收感谢: 2 次

Re: sudo apt-get build-dep 命令求解?

#4

帖子 acid303 » 2011-02-27 22:09

我在ubuntu下的结果:

代码: 全选

$ sudo apt-get build-dep vim
[sudo] password for acidlee: 
正在读取软件包列表... 完成
正在分析软件包的依赖关系树       
正在读取状态信息... 完成       
下列【新】软件包将被安装:
  docbook-dsssl docbook-utils jadetex lacheck latex-beamer latex-xcolor libacl1-dev
  libart-2.0-dev libattr1-dev libavahi-client-dev libavahi-common-dev
  libavahi-glib-dev libbonobo2-dev libbonoboui2-dev libcanberra-dev libdbus-1-dev
  libgail-common libgail-dev libgconf2-dev libgcrypt11-dev libgnome-keyring-dev
  libgnome2-dev libgnomecanvas2-dev libgnomeui-dev libgnomevfs2-dev libgnutls-dev
  libgpg-error-dev libgpm-dev libgpmg1-dev libidl-dev libkpathsea5 libncurses5-dev
  liborbit2-dev libosp5 libostyle1c2 libperl-dev libpopt-dev libruby1.8
  libselinux1-dev libsepol1-dev libsgmls-perl libsp1c2 libssl-dev libtasn1-3-dev
  libxml2-dev libxpm-dev libxt-dev lmodern luatex openjade orbit2 pgf prosper
  ps2eps python-dev python2.6-dev ruby ruby1.8 ruby1.8-dev sgmlspl sp tcl-dev
  tcl8.4-dev tex-common texlive-base texlive-binaries texlive-common
  texlive-doc-base texlive-extra-utils texlive-font-utils texlive-fonts-recommended
  texlive-fonts-recommended-doc texlive-generic-recommended texlive-latex-base
  texlive-latex-base-doc texlive-latex-recommended texlive-latex-recommended-doc
  texlive-luatex texlive-pstricks texlive-pstricks-doc tipa
升级了 0 个软件包,新安装了 81 个软件包,要卸载 0 个软件包,有 0 个软件包未被升级。
需要下载 242MB 的软件包。
解压缩后会消耗掉 470MB 的额外空间。
您希望继续执行吗?[Y/n]

$ sudo aptitude --without-recommends build-dep vim
下列“新”软件包将被安装。         
  docbook-dsssl{a} docbook-utils jadetex{a} libacl1-dev libart-2.0-dev{a} 
  libattr1-dev{a} libavahi-client-dev{a} libavahi-common-dev{a} 
  libavahi-glib-dev{a} libbonobo2-dev{a} libbonoboui2-dev{a} libcanberra-dev{a} 
  libdbus-1-dev{a} libgail-common{a} libgail-dev{a} libgconf2-dev{a} 
  libgcrypt11-dev{a} libgnome-keyring-dev{a} libgnome2-dev{a} 
  libgnomecanvas2-dev{a} libgnomeui-dev libgnomevfs2-dev{a} libgnutls-dev{a} 
  libgpg-error-dev{a} libgpm-dev libgpmg1-dev libidl-dev{a} libkpathsea5{a} 
  libncurses5-dev liborbit2-dev{a} libosp5{a} libostyle1c2{a} libperl-dev 
  libpopt-dev{a} libruby1.8{a} libselinux1-dev libsepol1-dev{a} libsgmls-perl{a} 
  libsp1c2{a} libssl-dev{a} libtasn1-3-dev{a} libxml2-dev{a} libxpm-dev 
  libxt-dev luatex{a} openjade{a} python-dev python2.6-dev{a} ruby ruby1.8{a} 
  ruby1.8-dev sgmlspl{a} sp{a} tcl-dev tcl8.4-dev{a} tex-common{a} 
  texlive-base{a} texlive-binaries{a} texlive-common{a} texlive-doc-base{a} 
  texlive-fonts-recommended{a} texlive-latex-base{a} 
  texlive-latex-recommended{a} tipa{a} 
下列软件包被“推荐”安装但是将“不会”被安装:
  latex-beamer latex-xcolor lmodern orbit2 prosper texlive-fonts-recommended-doc 
  texlive-latex-base-doc texlive-latex-recommended-doc texlive-luatex 
0 个软件包被升级,新安装 64 个, 0 个将被删除, 同时 0 个将不升级。
需要获取 69.6MB 的存档。 解包后将要使用 203MB。
您要继续吗?[Y/n/?]
上次由 acid303 在 2011-02-27 22:11,总共编辑 1 次。
rediscover
帖子: 3173
注册时间: 2010-01-13 23:26
送出感谢: 0
接收感谢: 12 次

Re: sudo apt-get build-dep 命令求解?

#5

帖子 rediscover » 2011-02-27 22:11

vim的文档是通过latex生成的,而官方仓库默认开启了文档编译,于是你build-dep时也会要你安装。
Here I am.
Ubuntu 桌面培训 - 全中文官方文档,含汉化截图,提供PDF
dxq83
帖子: 53
注册时间: 2008-05-04 22:52
送出感谢: 0
接收感谢: 1 次

Re: sudo apt-get build-dep 命令求解?

#6

帖子 dxq83 » 2011-02-27 22:14

acid303 写了:我在ubuntu下的结果:

代码: 全选

$ sudo apt-get build-dep vim
[sudo] password for acidlee: 
正在读取软件包列表... 完成
正在分析软件包的依赖关系树       
正在读取状态信息... 完成       
下列【新】软件包将被安装:
  docbook-dsssl docbook-utils jadetex lacheck latex-beamer latex-xcolor libacl1-dev
  ...........................
升级了 0 个软件包,新安装了 81 个软件包,要卸载 0 个软件包,有 0 个软件包未被升级。
需要下载 242MB 的软件包。
解压缩后会消耗掉 470MB 的额外空间。
您希望继续执行吗?[Y/n]

$ sudo aptitude --without-recommends build-dep vim
下列“新”软件包将被安装。         
...............
下列软件包被“推荐”安装但是将“不会”被安装:
  latex-beamer latex-xcolor lmodern orbit2 prosper texlive-fonts-recommended-doc 
  texlive-latex-base-doc texlive-latex-recommended-doc texlive-luatex 
0 个软件包被升级,新安装 64 个, 0 个将被删除, 同时 0 个将不升级。
需要获取 69.6MB 的存档。 解包后将要使用 203MB。
您要继续吗?[Y/n/?]

我的结果和你的一样
上次由 dxq83 在 2011-02-27 22:19,总共编辑 1 次。
dxq83
帖子: 53
注册时间: 2008-05-04 22:52
送出感谢: 0
接收感谢: 1 次

Re: sudo apt-get build-dep 命令求解?

#7

帖子 dxq83 » 2011-02-27 22:15

rediscover 写了:vim的文档是通过latex生成的,而官方仓库默认开启了文档编译,于是你build-dep时也会要你安装。
哦,是这样。谢谢了! :em01
dxq83
帖子: 53
注册时间: 2008-05-04 22:52
送出感谢: 0
接收感谢: 1 次

Re: sudo apt-get build-dep 命令求解?

#8

帖子 dxq83 » 2011-02-27 22:17

直接从仓库安装,就少多了!不自己编译了,从仓库安装了! :em01
回复

回到 “老旧版本支持”